Get a person's favorites for an authorized event scope.
GET
/api/favorites
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/favorites"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/favorites';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/favorites \ --header 'x-api-key: <x-api-key>'Non-HIO API-key clients require an event-project assignment with API-key access and a ProjectAdmin, Super, or Organizer role. Person and user bearer identities must resolve to personId in that project.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”personId
string format: uuid
topLevelEventId
string format: uuid
Responses
Section titled “Responses”OK
object
personId
string format: uuid
topLevelEventId
string format: uuid
eventIds
Array<string> | null
facilitatorIds
Array<string> | null
companyIds
Array<string> | null
registrantIds
Array<string> | null
object
personId
string format: uuid
topLevelEventId
string format: uuid
eventIds
Array<string> | null
facilitatorIds
Array<string> | null
companyIds
Array<string> | null
registrantIds
Array<string> | null
Examplegenerated
{ "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "topLevelEventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "facilitatorIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "companyIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "registrantIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}object
personId
string format: uuid
topLevelEventId
string format: uuid
eventIds
Array<string> | null
facilitatorIds
Array<string> | null
companyIds
Array<string> | null
registrantIds
Array<string> | null
Examplegenerated
{ "personId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "topLevelEventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "facilitatorIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "companyIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "registrantIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}